%define module netifaces

Name:          python-%{module}
Version:       0.11.0
Release:       %mkrel 5
Summary:       Portable network interface information
Group:         Development/Python
License:       MIT
URL:           https://alastairs-place.net/netifaces/
Source:        https://pypi.io/packages/source/n/netifaces/%{module}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
netifaces provides a (hopefully portable-ish) way for Python programmers to
get access to a list of the network interfaces on the local machine, and to
obtain the addresses of those network interfaces.

#------------------------------------------------

%package -n     python3-%{module}
Summary:        Portable network interface information
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
netifaces provides a (hopefully portable-ish) way for Python programmers to
get access to a list of the network interfaces on the local machine, and to
obtain the addresses of those network interfaces.

This is the Python 3 version of the package.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files netifaces

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Mar 01 2025 daviddavid <daviddavid> 0.11.0-5.mga10
+ Revision: 2154045
- rebuild for python 3.13

* Wed Dec 13 2023 papoteur <papoteur> 0.11.0-4.mga10
+ Revision: 2017730
- rebuild for python 3.12

* Fri Mar 18 2022 umeabot <umeabot> 0.11.0-3.mga9
+ Revision: 1798967
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.11.0-2.mga9
+ Revision: 1773682
- Rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 0.11.0-1.mga9
+ Revision: 1771264
- version 0.11.0

* Sat Mar 20 2021 tv <tv> 0.10.9-4.mga9
+ Revision: 1705660
- rebuild for python-3.9.2

* Sun Feb 16 2020 umeabot <umeabot> 0.10.9-3.mga8
+ Revision: 1531584
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.10.9-2.mga8
+ Revision: 1440229
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.10.9-1.mga7
+ Revision: 1353483
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.10.6-3.mga7
+ Revision: 1300535
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 0.10.6-2.mga7
+ Revision: 1210927
- Use new python_provide

* Wed Aug 09 2017 daviddavid <daviddavid> 0.10.6-1.mga7
+ Revision: 1139165
- new version: 0.10.6
- rename python-netifaces to python2-netifaces
- use new python macros

* Sat Aug 05 2017 pterjan <pterjan> 0.10.4-11.mga7
+ Revision: 1135516
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.10.4-10.mga6
+ Revision: 958625
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 daviddavid <daviddavid> 0.10.4-9.mga6
+ Revision: 891099
- add python3 package

* Wed Jan 21 2015 bcornec <bcornec> 0.10.4-8.mga5
+ Revision: 811694
- Update to upstream 0.10.4

* Wed Oct 15 2014 umeabot <umeabot> 0.8-8.mga5
+ Revision: 745752
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-7.mga5
+ Revision: 729146
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-6.mga5
+ Revision: 688173
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 543804
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8-3.mga4
+ Revision: 498962
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 379159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dams <dams> 0.8-1.mga3
+ Revision: 291275
- fix %%mkrel
- new version 0.8
- clean specfile
- imported package python-netifaces


* Fri Nov 18 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.6-1
+ Revision: 731515
- fix for new packaging policy and version bump

* Thu Jun 09 2011 Antoine Ginies <aginies@mandriva.com> 0.5-1
+ Revision: 683340
- fix provides
- import python-netifaces

